| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ConversationHashTablesDialog Class Reference

A dialog for displaying the contents and statistics of conversation hash tables. More...

`#include <conversation_hash_tables_dialog.h>`

Inheritance diagram for ConversationHashTablesDialog:

## Public Member Functions
| ConversationHashTablesDialog (QWidget *parent=0)
| Constructs a new ConversationHashTablesDialog.
| ~ConversationHashTablesDialog ()
| Destroys the ConversationHashTablesDialog.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Additional Inherited Members
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Detailed Description

A dialog for displaying the contents and statistics of conversation hash tables.

## Constructor & Destructor Documentation

## ◆ ConversationHashTablesDialog()

ConversationHashTablesDialog::ConversationHashTablesDialog | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs a new ConversationHashTablesDialog.

Parameters

  parent | The parent widget, defaults to 0.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/conversation_hash_tables_dialog.h
- /builds/wireshark/wireshark/ui/qt/conversation_hash_tables_dialog.cpp